Bug 990108 - [RHSC] when trying to reset user.cifs option it gives an error.
[RHSC] when trying to reset user.cifs option it gives an error.
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Sahina Bose
RamaKasturi
:
Depends On: 880058
Blocks: 957769 1035040
  Show dependency treegraph
 
Reported: 2013-07-30 07:57 EDT by RamaKasturi
Modified: 2015-08-28 06:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Volume options that begin with user.* are considered user options and these options cannot be reset as there is no way of knowing the default value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:08:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching vdsm log (13.14 MB, text/x-log)
2013-07-30 08:02 EDT, RamaKasturi
no flags Details
Attaching vdsm log from node2 (1.78 MB, text/x-log)
2013-07-30 08:04 EDT, RamaKasturi
no flags Details
Attaching engine.log (41.08 KB, text/x-log)
2013-07-30 08:08 EDT, RamaKasturi
no flags Details

  None (edit)
Description RamaKasturi 2013-07-30 07:57:16 EDT
Description of problem:
resetting user.cifs gives an error.

Version-Release number of selected component (if applicable):
rhsc-2.1.0-0.bb6.el6rhs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Login to rhsc console.
2. Create a volume from UI.
3. Click on the volume options subtab.
4. Now select the option user.cifs and click on reset.

Actual results:
It gives the following error:
	
Error while executing action Reset Gluster Volume Options: Volume reset failed
error: Option user_cifs does not exist
Did you mean cluster_eager-lock or ___min-free-disk?
return code: 255

Expected results:
Option should get reset sucessfully.

Additional info:
Comment 1 RamaKasturi 2013-07-30 08:02:51 EDT
Created attachment 780598 [details]
Attaching vdsm log
Comment 2 RamaKasturi 2013-07-30 08:04:37 EDT
Created attachment 780600 [details]
Attaching vdsm log from node2
Comment 3 RamaKasturi 2013-07-30 08:08:20 EDT
Created attachment 780602 [details]
Attaching engine.log
Comment 5 Scott Haines 2013-09-23 19:35:01 EDT
Targeting for 2.1.z U2 (Corbett) release.
Comment 6 Shalaka 2014-02-12 04:19:47 EST
Please add doc text for this known issue.
Comment 7 Sahina Bose 2014-02-19 06:06:11 EST
Enhancement to be done - Disable reset option for keys that begin with user.
Comment 8 Dusmant 2015-08-28 06:08:17 EDT
We are not planning to fix it. Hence closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.